# class KSpellDlg |
Definition | `#include <kspelldlg.h>`
Inherits | KDialogBase (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KSpellDlg (QWidget *parent, const char *name, bool _progressbar = FALSE, bool _modal = FALSE )
- inline QString replacement ()
- void init (const QString& _word, QStringList *_sugg)
- void standby ()

#### Public Slots

- void slotProgress (unsigned int p)

#### Signals

- void command (int)
- void ready (bool)

#### Protected Methods

- virtual void closeEvent ( QCloseEvent * e )
- void done (int i)

#### Protected Slots

- void ignore ()
- void add ()
- void ignoreAll ()
- void cancel ()
- void replace ()
- void replaceAll ()
- void stop ()
- void help ()
- void textChanged (const QString &)
- void selected (int i)
- void highlighted (int i)

## Detailed Description

KSpellDlg (QWidget *parent, const char *name, bool _progressbar = FALSE, bool _modal = FALSE ) | ### KSpellDlg

inline QString replacement () | ### replacement

void init (const QString& _word, QStringList *_sugg) | ### init

Change the misspelled word and suggested replacements and enable the disabled buttons on the dialog box. (Buttons are disabled by standby().)

void standby () | ### standby

void slotProgress (unsigned int p) | ### slotProgress

[slot]

Adjust the progress bar to `p` percent.

void closeEvent ( QCloseEvent * e ) | ### closeEvent

[protected virtual]

Reimplemented from KDialogBase.

void done (int i) | ### done

[protected]

void command (int) | ### command

[signal]

This signal is emitted when a button is pressed.

void ready (bool) | ### ready

[signal]

void ignore () | ### ignore

[protected slots slot]

void add () | ### add

[protected slots slot]

void ignoreAll () | ### ignoreAll

[protected slots slot]

void cancel () | ### cancel

[protected slots slot]

void replace () | ### replace

[protected slots slot]

void replaceAll () | ### replaceAll

[protected slots slot]

void stop () | ### stop

[protected slots slot]

void help () | ### help

[protected slots slot]

void textChanged (const QString &) | ### textChanged

[protected slots slot]

void selected (int i) | ### selected

[protected slots slot]

void highlighted (int i) | ### highlighted

[protected slots slot]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:59:02 2001, using kdoc 2.0a53.